%define		kdeplasmaver	5.23.4
%define		qtver		5.9.0
%define		kpname		discover
Summary:	discover
Name:		kp5-%{kpname}
Version:	5.23.4
Release:	3
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	006e75263753756f8755bd059c19ab9e
URL:		http://www.kde.org/
BuildRequires:	Qt5Concurrent-devel >= %{qtver}
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Qml-devel >= %{qtver}
BuildRequires:	Qt5Quick-devel >= %{qtver}
BuildRequires:	Qt5Svg-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-karchive-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kcrash-devel
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kidletime-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kitemmodels-devel
BuildRequires:	kf5-kitemviews-devel
BuildRequires:	kf5-knewstuff-devel
BuildRequires:	kf5-knotifications-devel
BuildRequires:	kf5-ktextwidgets-devel
BuildRequires:	kf5-kwallet-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-solid-devel
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
discover

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang discover --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f discover.lang
%defattr(644,root,root,755)
%dir %{_libdir}/qt5/plugins/discover
%dir %{_libdir}/qt5/plugins/discover-notifier
%attr(755,root,root) %{_libdir}/qt5/plugins/discover/kns-backend.so
%attr(755,root,root) %{_libdir}/qt5/plugins/discover-notifier/FlatpakNotifier.so
%attr(755,root,root) %{_libdir}/qt5/plugins/discover/flatpak-backend.so
%attr(755,root,root) %{_libdir}/qt5/plugins/discover/fwupd-backend.so
%{_desktopdir}/org.kde.discover.desktop
%{_desktopdir}/org.kde.discover-flatpak.desktop
%attr(755,root,root) %{_bindir}/plasma-discover
%{_libdir}/plasma-discover
%{_desktopdir}/org.kde.discover.urlhandler.desktop
%{_iconsdir}/hicolor/128x128/apps/plasmadiscover.png
%{_iconsdir}/hicolor/16x16/apps/plasmadiscover.png
%{_iconsdir}/hicolor/22x22/apps/plasmadiscover.png
%{_iconsdir}/hicolor/32x32/apps/plasmadiscover.png
%{_iconsdir}/hicolor/48x48/apps/plasmadiscover.png
%{_iconsdir}/hicolor/scalable/apps/plasmadiscover.svg*
%{_iconsdir}/hicolor/scalable/apps/flatpak-discover.svg
%dir %{_datadir}/kxmlgui5/plasmadiscover
%{_datadir}/kxmlgui5/plasmadiscover/plasmadiscoverui.rc
%{_datadir}/metainfo/org.kde.discover.appdata.xml
%{_datadir}/metainfo/org.kde.discover.flatpak.appdata.xml
/etc/xdg/autostart/org.kde.discover.notifier.desktop
%attr(755,root,root) %{_libexecdir}/DiscoverNotifier
%{_desktopdir}/org.kde.discover.notifier.desktop
%{_datadir}/knotifications5/discoverabstractnotifier.notifyrc
%{_datadir}/qlogging-categories5/discover.categories
%attr(755,root,root) %{_bindir}/plasma-discover-update
%attr(755,root,root) %{_libdir}/qt5/plugins/kcms/kcm_updates.so
%{_desktopdir}/org.kde.discover.snap.desktop
%dir %{_datadir}/kpackage/kcms/kcm_updates
%dir %{_datadir}/kpackage/kcms/kcm_updates/contents
%dir %{_datadir}/kpackage/kcms/kcm_updates/contents/ui
%{_datadir}/kpackage/kcms/kcm_updates/contents/ui/main.qml
%{_datadir}/kpackage/kcms/kcm_updates/metadata.desktop
%{_datadir}/kpackage/kcms/kcm_updates/metadata.json
%{_datadir}/kservices5/kcm_updates.desktop
%dir %{_datadir}/libdiscover
%dir %{_datadir}/libdiscover/categories
%{_datadir}/libdiscover/categories/flatpak-backend-categories.xml
%changelog
* Wed Dec 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-discover.git;a=log;h=master

* Wed Dec 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 40b27b0
- missing dirs

* Wed Dec 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 975ad4f
- adding not packaged files

* Wed Dec 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5d6b0b1
- BR

* Wed Dec 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cd05e4e
- updated to 5.23.4

* Sat Nov 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 051d72c
- updated to 5.23.3

* Tue Oct 26 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 37e3c74
- updated to 5.23.2

* Wed Oct 20 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d780750
- updated to 5.23.1

* Thu Oct 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5b2e897
- updated to 5.23.0

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8eca1f1
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7bbd611
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d8e898f
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6c4f22d
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 2a4b7c5
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9fb7a2a
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 36520cb
- updated to 5.21.5
- cxx-linkage.patch not needed

* Sat Apr 17 2021 Jan Rękorajski <baggins@pld-linux.org> c42efc8
- Release 2 (by relup.sh)

* Sat Apr 17 2021 Jan Rękorajski <baggins@pld-linux.org> b19536b
- fix incorrect extern C linkage

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> de2cc34
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a56df01
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1607203
- update to 5.21.2

